Get Verification Flow
This endpoint returns a verification flow's context with, for example, error details and other information.
GET /self-service/verification/flows
This endpoint returns a verification flow's context with, for example, error details and other information.
Browser flows expect the anti-CSRF cookie to be included in the request's HTTP Cookie Header. For AJAX requests you must ensure that cookies are included in the request or requests will fail.
If you use the browser-flow for server-side apps, the services need to run on a common top-level-domain and you need to forward the incoming HTTP Cookie header to this endpoint:
pseudo-code example
router.get('/recovery', async function (req, res) {
const flow = await client.getVerificationFlow(req.header('cookie'), req.query['flow'])
res.render('verification', flow)
})More information can be found at Ory Kratos Email and Phone Verification Documentation.
Operation ID: getVerificationFlow Tag: frontend
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
id | string | yes | The Flow ID The value for this parameter comes from request URL Query parameter sent to your application (e.g. /verification?flow=abcde). |
Header parameters
| Name | Type | Required | Description |
|---|---|---|---|
cookie | string | no | HTTP Cookies When using the SDK on the server side you must include the HTTP Cookie Header originally sent to your HTTP handler here. |
Responses
| Status | Description | Body |
|---|---|---|
| 200 | verificationFlow | application/json, object |
| 403 | errorGeneric | application/json, object |
| 404 | errorGeneric | application/json, object |
| default | errorGeneric | application/json, object |
Generated from /tmp/kratos-api.json at build time.